DewaVPS

Get credit history

GET
/billing/credit/history

Retrieve a paginated list of credit transactions (additions and deductions).

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Query Parameters

page?integer

Page number

limit?integer

Number of results per page

start?string

Start date (YYYY-MM-DD)

Formatdate
end?string

End date (YYYY-MM-DD)

Formatdate
type?string

Filter by type (A for add, D for deduct)

Value in"A" | "D"

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/billing/credit/history"
{
  "message": "Credit history",
  "data": {
    "data": [
      {
        "id": 0,
        "type": "Add",
        "description": "string",
        "amount": "Rp10.000,00",
        "balance_after": "Rp110.000,00",
        "created_at": "string"
      }
    ],
    "page": {
      "total": 0,
      "count": 0,
      "per_page": 0,
      "current_page": 0,
      "total_pages": 0
    }
  }
}